/*********************************************************************
 * Job Ticket API (JTAPI)                                            
 *                                                                   
 * Copyright (c) 2004 High North Inc.                                                                  
 * Copyright (c) 2004 International Business Machines Corp.
 * Copyright (c) 2003 Seiko-Epson, Inc.  
 * Copyright (c) 2004 Free Standards Group.                  
 *                                                                    
 *                    Common Public License - v 1.0 
 * THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS COMMON 
 * PUBLIC LICENSE ("AGREEMENT"). ANY USE, REPRODUCTION OR DISTRIBUTION 
 * OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.   
 *
 * The Common Public License in its entirety is located in 
 * fsgjt_cpl.h and applies to the contents of this file. 
 *********************************************************************/

#ifndef FSGJT_MEDIA_H
#define FSGJT_MEDIA_H

#include <fsgjt.h>

/* Defined constant to uniquely identify this type of JTAPI object */
#define FSGJT_MEDIA_OBJECT           "JMED"

/************************************************************
 * Media attributes
 ***********************************************************/
#define FSGJT_MEDIA_DIMENSION_NAME  "media-dimension-name"
#define FSGJT_MEDIA_INPUT_TRAY_NAME "media-input-tray-name"
#define FSGJT_MEDIA_MANUAL_FEED     "media-manual-feed"
#define FSGJT_MEDIA_TYPE            "media-type"

/************************************************************
 * fsgjtNewMedia - Creates a Media object using the provided 
 * name.
 *
 * param (output) fsgjt_object_t* media - Pointer to the new
 *      Media to create
 * param (input) name - Name of the media or NULL if Media 
 *      name is not specified
 *
 * return fsgjt_return_code_t
 ***********************************************************/
fsgjt_return_code_t fsgjtNewMedia(
               fsgjt_object_t* media, 
               char* name);

#endif /* FSGJT_MEDIA_H */
